Package org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents

## Class MinInclusiveConstraintComponent

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent
  - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.SimpleAbstractConstraintComponent
    - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.MinInclusiveConstraintComponent

- All Implemented Interfaces:
    `ConstraintComponent`, `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`

      public class MinInclusiveConstraintComponent
      extends SimpleAbstractConstraintComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent

      `ConstraintComponent.Scope`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `VALUES_INJECTION_POINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinInclusiveConstraintComponent​(Literal minInclusive)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintComponent` | `deepClone()` |
    `SourceConstraintComponent` | `getConstraintComponent()` |
    `void` | `toModel​(Resource subject, IRI predicate, Model model, Set<Resource> cycleDetection)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.SimpleAbstractConstraintComponent

      `generateSparqlValidationQuery, generateTransactionalValidationPlan, getAllTargetsPlan, getId, getOptimalBulkValidationApproach, getPreferredValidationApproach, getTargetChain, setTargetChain`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `buildSparqlValidNodes_rsx_targetShape, requiresEvaluation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinInclusiveConstraintComponent

          public MinInclusiveConstraintComponent​(Literal minInclusive)

  - ### Method Detail

    - #### toModel

          public void toModel​(Resource subject,
                              IRI predicate,
                              Model model,
                              Set<Resource> cycleDetection)

    - #### getConstraintComponent

          public SourceConstraintComponent getConstraintComponent()

      Specified by:
        `getConstraintComponent` in interface `ConstraintComponent`
      Overrides:
        `getConstraintComponent` in class `SimpleAbstractConstraintComponent`

    - #### deepClone

          public ConstraintComponent deepClone()